<HTML>
<HEAD><TITLE>Project Summary</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Mrp"></A>
             Lattice Mapping Report File for Design Module 'TOP'



<A name="mrp_di"></A><B><U><big>Design Information</big></U></B>

Command line:   map -a MachXO2 -p LCMXO2-7000HE -t TQFP144 -s 5 -oc Industrial
     GENDECAL_GEN1.ngd -o GENDECAL_GEN1_map.ncd -pr GENDECAL_GEN1.prf -mp
     GENDECAL_GEN1.mrp -lpf C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2
     GEII/S3/TEMP EER/Gen decalage/GEN1/GENDECAL_GEN1.lpf -lpf
     C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen
     decalage/GENDECAL.lpf -c 0 -gui -msgset
     C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen
     decalage/promote.xml 
Target Vendor:  LATTICE
Target Device:  LCMXO2-7000HETQFP144
Target Performance:   5
Mapper:  xo2c00,  version:  Diamond (64-bit) 3.12.0.240.2
Mapped on:  10/28/23  12:14:58


<A name="mrp_ds"></A><B><U><big>Design Summary</big></U></B>
   Number of registers:     17 out of  7209 (0%)
      PFU registers:           17 out of  6864 (0%)
      PIO registers:            0 out of   345 (0%)
   Number of SLICEs:         9 out of  3432 (0%)
      SLICEs as Logic/ROM:      9 out of  3432 (0%)
      SLICEs as RAM:            0 out of  2574 (0%)
      SLICEs as Carry:          0 out of  3432 (0%)
   Number of LUT4s:          3 out of  6864 (0%)
      Number used as logic LUTs:          3
      Number used as distributed RAM:     0
      Number used as ripple logic:        0
      Number used as shift registers:     0
   Number of PIO sites used: 8 + 4(JTAG) out of 115 (10%)
   Number of block RAMs:  0 out of 26 (0%)
   Number of GSRs:        1 out of 1 (100%)
   EFB used :        No
   JTAG used :       No
   Readback used :   No
   Oscillator used : Yes
   Startup used :    No
   POR :             On
   Bandgap :         On
   Number of Power Controller:  0 out of 1 (0%)
   Number of Dynamic Bank Controller (BCINRD):  0 out of 6 (0%)
   Number of Dynamic Bank Controller (BCLVDSO):  0 out of 1 (0%)
   Number of DCCA:  0 out of 8 (0%)
   Number of DCMA:  0 out of 2 (0%)
   Number of PLLs:  0 out of 2 (0%)
   Number of DQSDLLs:  0 out of 2 (0%)
   Number of CLKDIVC:  0 out of 4 (0%)
   Number of ECLKSYNCA:  0 out of 4 (0%)
   Number of ECLKBRIDGECS:  0 out of 2 (0%)
   Notes:-
      1. Total number of LUT4s = (Number of logic LUT4s) + 2*(Number of
     distributed RAMs) + 2*(Number of ripple logic)
      2. Number of logic LUT4s does not include count of distributed RAM and
     ripple logic.
   Number of clocks:  2

     Net INT_CLK1: 1 loads, 1 rising, 0 falling (Driver: U1 )
     Net CPT: 8 loads, 8 rising, 0 falling (Driver: CPT_8 )
   Number of Clock Enables:  1
     Net I_RST_c: 4 loads, 4 LSLICEs
   Number of LSRs:  0
   Number of nets driven by tri-state buffers:  0
   Top 10 highest fanout non-clock nets:
     Net I_RST_c: 5 loads
     Net O_DATA_c_0: 2 loads
     Net U2/QINT_1: 2 loads
     Net U2/QINT_2: 2 loads
     Net U2/QINT_6: 2 loads
     Net CPT_N_2_0: 1 loads
     Net I_STDBY_c: 1 loads
     Net U2/QINTSUIVANT_15: 1 loads
     Net U2/QINT_3: 1 loads
     Net U2/QINT_4: 1 loads




   Number of warnings:  0
   Number of errors:    0
     




<A name="mrp_dwe"></A><B><U><big>Design Errors/Warnings</big></U></B>

   No errors or warnings present.



<A name="mrp_ioa"></A><B><U><big>IO (PIO) Attributes</big></U></B>

+---------------------+-----------+-----------+------------+
| IO Name             | Direction | Levelmode | IO         |
|                     |           |  IO_TYPE  | Register   |
+---------------------+-----------+-----------+------------+
| O_DATA_VECT[4]      | OUTPUT    | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| I_RST               | INPUT     | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| O_DATA_VECT[3]      | OUTPUT    | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| O_DATA              | OUTPUT    | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| I_STDBY             | INPUT     | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| O_DATA_VECT[0]      | OUTPUT    | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| O_DATA_VECT[1]      | OUTPUT    | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+
| O_DATA_VECT[2]      | OUTPUT    | LVCMOS25  |            |
+---------------------+-----------+-----------+------------+






<A name="mrp_rm"></A><B><U><big>Removed logic</big></U></B>

Block i46 undriven or does not drive anything - clipped.
Signal CPT_enable_8 was merged into signal I_RST_c
Signal VCC_net undriven or does not drive anything - clipped.
Block i35_1_lut was optimized away.

     

OSC Summary
-----------

OSC 1:                                     Pin/Node Value
  OSC Instance Name:                                U1
  OSC Type:                                         OSCH
  STDBY Input:                             PIN      I_STDBY_c
  OSC Output:                              NODE     INT_CLK1
  OSC Nominal Frequency (MHz):                      2.08



<A name="mrp_asic"></A><B><U><big>ASIC Components</big></U></B>
---------------

Instance Name: U1
         Type: OSCH



<A name="mrp_gsr"></A><B><U><big>GSR Usage</big></U></B>
---------

GSR Component:
   The Global Set Reset (GSR) resource has been used to implement a global reset
        of the design. The reset signal used for GSR control is 'I_RST_c'.
        

     GSR Property:
   The design components with GSR property set to ENABLED will respond to global
        set reset while the components with GSR property set to DISABLED will
        not.
        

     Components with disabled GSR Property
-------------------------------------

     These components have the GSR property set to DISABLED. The components will
     not respond to the reset signal 'I_RST_c' via the GSR component.

     Type and number of components of the type: 
   Register = 1 

     Type and instance name of component: 
   Register : CPT_8



<A name="mrp_runtime"></A><B><U><big>Run Time and Memory Usage</big></U></B>
-------------------------

   Total CPU Time: 0 secs  
   Total REAL Time: 0 secs  
   Peak Memory Usage: 57 MB

        


























































Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
     Copyright (c) 1995 AT&T Corp.   All rights reserved.
     Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
     Copyright (c) 2001 Agere Systems   All rights reserved.
     Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights
     reserved.



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
